Update integration file

Updates the integration file content. The integration file content must be a valid YAML string, structured as a dictionary.

The file_sha parameter is only applicable for tenants with an active GitHub installation. For other tenants, this parameter should not be provided.
The file_sha represents the SHA of the file being updated. If the file has changed since the last read operation, the update will fail to prevent overwriting changes.
To forcefully update the integration file content, omit the file_sha parameter.

Important: This API overwrites the entire integration configuration. Please call the Get integration file API to retrieve the current configuration content first, and append the new integration configuration to the existing content.
For details on the structure of specific integrations, please refer to the integration documentation.

Usage Example

  1. Retrieve the current configuration content using the get integrations API:
curl -X GET \
  --url https://api.jit.io/plans/integration-file \
  --header 'accept: application/json' \
  --header 'Authorization: Bearer <JWT>'

A potential response might be:

{
  "content": {
    "aws": [
      {
        "account_id": "123456789",
        "regions": ["us-east-1"],
        "type": "account"
      }
    ]
  },
  "raw_content": "aws:
- account_id: '123456789'
  regions:
  - us-east-1
  type: account",
  "file_sha": "1234567890abcdef1234567890abcdef12345678",
  "status": "valid",
  "vendor_response": {...}
}
  1. Update the integration file content:

For instance, to add the Drata integration to the current content, append it as follows:

{
  "aws": [
    {
      "account_id": "123456789",
      "regions": ["us-east-1"],
      "type": "account"
    }
  ],
  "drata": {
    "user_email": "[email protected]",
    "workspace": "production"
  }
}

Use the following curl command to update the integration file content:

curl -X PUT \
  --url https://api.jit.io/plans/integration-file \
  --header 'accept: application/json' \
  --header 'Authorization Bearer <JWT>' \
  --data '{
    "content": {
    "aws": [
    {
        "account_id": "954435684707",
        "regions": ["us-east-1"],
        "type": "account"
    }
    ],
    "drata": {
        "user_email": "[email protected]",
        "workspace": "production"
        }
    }
}'

Requires the following permission:
jit.integrations.write

Body Params

New configuration file content and an optional file SHA

content
object
required

The integration file content, more info can be found in the integration documentation.

For example {"drata": {"user_email": "[email protected]", "workspace": "prod"}})

string

The SHA-1 hash of the content prior to updating, used to prevent overwriting changes.

Updates will be rejected if the content has been modified since the last read operation.

Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json